Domains

Delete domain

DELETE
/v3/aftermarket/customers/{customerId}/domains/{domain}

Deletes the domain for the provided domain name.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

domain*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Nothing is returned when the domain settings are deleted successfully.

Example Request
curl -X DELETE 'https://api.afternic.com/v3/aftermarket/customers/my/domains/string'
Example Response
Empty